#include <windows.h>
#include "ieliza.h"

class  CEliza : public IEliza
{
    protected:
        ULONG           m_RefCount;
          

    public:
        CEliza  (void);
        ~CEliza (void);

        //IUnknown members
        STDMETHODIMP         QueryInterface(REFIID, LPVOID*);
        STDMETHODIMP_(ULONG) AddRef(void);
        STDMETHODIMP_(ULONG) Release(void);

        //IEliza members
        STDMETHODIMP         Complain (LPOLESTR, LPOLESTR);
    };
